Subject: Bug#488: keystrokes.cfg: first entry in xml element list gets ignored

From: Mike Gabriel <[email-masked]>
Date: Wed, 07 May 2014 06:38:01 +0000

Package: nxagent
Severity: important
Version: 3.5.0.23
X-Debbugs-Cc: [email-masked]

Below there is a hint to why people complain about NX keystroke  
configuration file failures.

Marking this issue as important as it has been bugging several people  
in the near past.

Mike

----- Weitergeleitete Nachricht von Jean Gottschalk <[email-masked]> -----
   Datum: Tue, 6 May 2014 22:44:01 -0700
     Von: Jean Gottschalk <[email-masked]>
Betreff: Re: [X2Go-User] CTRL+ALT+T not working in MATE
      An: Mike Gabriel <[email-masked]>
      Cc: [email-masked]

After further investigation, I think there is another problem here: it
seems to me like the first shortcut in the keystrokes.cfg file is simply
being ignored.

If my file starts like this:

<!DOCTYPE NXKeystroke>
<keystrokes>
<keystroke action="close_session" Control="1" AltMeta= "1" key="c" />
<keystroke action="switch_all_screens" Control="1"  AltMeta= "1" key="f" />
<keystroke action="minimize" Control="1" AltMeta= "1" key="m" />

The CTRL+ALT+C action doesn't work.

But like this:

<!DOCTYPE NXKeystroke>
<keystrokes>
<keystroke action="close_session" Control="1" AltMeta= "1" key="c" />
<keystroke action="close_session" Control="1" AltMeta= "1" key="c" />
<keystroke action="switch_all_screens" Control="1"  AltMeta= "1" key="f" />
<keystroke action="minimize" Control="1" AltMeta= "1" key="m" />

it works just fine!

Could someone perhaps check the code and see if there is a bug in the
parser that ignores the first shortcut listed in the file?

PS: CTRL+ALT+T and CTRL+ALT+Z work just fine now, as long as I put them on
the second line of the file, and not the first!

Jean

On Tue, May 6, 2014 at 8:36 PM, Jean Gottschalk <[email-masked]> wrote:

> Hello,
>
> just wanted to inform the mailing list how I managed to resolve this issue:
>
> The key combinations CTRL+ALT+Z or CTRL+ALT+T had no effect in MATE, but
> CTRL+ALT+C worked.
>
> The correct location to put this into is /etc/x2go/keystrokes.cfg
> Note that this is keystrokes in plural, not singular as written in the
> wiki. Also the path is different from the one in the wiki (and I did not
> find a way to create a wiki account for myself, in order to correct this).
>
> Jean
>
>
> On Sat, Jan 11, 2014 at 9:35 AM, Jean Gottschalk <[email-masked]>wrote:
>
>> Mike,
>>
>> thank you for the quick reply, just to make sure that I understood
>> properly what you wanted me to do:
>> I went into /etc/x2go/keystrokes.cfg on the server, and changed:
>>
>> <keystroke action="close_session" Control="1" AltMeta= "1" key="t" />
>> to
>> <keystroke action="close_session" Control="1" AltMeta= "1" key="z" />
>>
>> Then, in doubt, I rebooted the entire server (and client), logged into a
>> new session, and neither CTRL+ALT+t nor CTRL+ALT+z will terminate my
>> session.
>>
>> What am I doing wrong?
>>
>> Jean
>>
>>
>> On Wed, Jan 8, 2014 at 1:58 AM, Mike Gabriel <
>> [email-masked]> wrote:
>>
>>> Hi Jean
>>>
>>>
>>> On  Mi 08 Jan 2014 06:15:58 CET, Jean Gottschalk wrote:
>>>
>>>  Hello,
>>>>
>>>> I have recently upgraded my Ubuntu installation, which is running
>>>> x2goserver, to 13.10. I used to use GNOME as a window manager, but since
>>>> 13.10, gnome seems to require 3D acceleration and can no longer be used
>>>> with x2go, event in fallback mode (anyone, please tell me if you found a
>>>> way to make gnome work in 13.10).
>>>>
>>>> So I installed MATE and upgraded x2goserver to 4.0.1.11 (Unfortunately
>>>> both
>>>> at the same time).
>>>>
>>>> Since then, the keyboard shortcut CTRL + ALT + T (which is the only
>>>> shortcut I am using) is not longer working.
>>>> After x2goserver upgrade, I have files /etc/nxagent/keystrokes.cfg and
>>>> /etc/x2go/keystrokes.cfg (which were not there before) and they both
>>>> contain a definition for CTRL + ALT + T to terminate a session.
>>>>
>>>> Not sure what to do next. Is it perhaps a known issue that CTRL+ALT+T
>>>> does
>>>> not work in MATE, or perhaps a known issue in the current version of
>>>> x2goserver?
>>>>
>>>> Any advice is appreciated!
>>>>
>>>> Thank you!
>>>>
>>>> Jean
>>>>
>>>
>>> the described scenario is exactly the reason why one of the devs (arw
>>> from Uni Erlangen, Germany) provided the keystrokes.cfg patch.
>>>
>>> Put another hotkey combination into the keystrokes.cfg file for session
>>> termination (/etc/x2go/keystrokes.cfg) and then CTRL-ALT-T should work
>>> again in MATE.
>>>
>>> Mike
>>> --
>>>
>>> DAS-NETZWERKTEAM
>>> mike gabriel, herweg 7, 24357 fleckeby
>>> fon: +49 (1520) 1976 148
>>>
>>> GnuPG Key ID 0x25771B31
>>> mail: [email-masked], http://das-netzwerkteam.de
>>>
>>> freeBusy:
>>> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-
>>> netzwerkteam.de.xfb
>>>
>>
>>
>

----- Ende der weitergeleiteten Nachricht -----

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb